Bug 119029 - Guile breaks Gnucash: "doesn't have "primitive-fork"
Guile breaks Gnucash: "doesn't have "primitive-fork"
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: guile (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Depends On:
  Show dependency treegraph
Reported: 2004-03-23 19:12 EST by Graham Leggett
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-24 06:56:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2004-03-23 19:12:50 EST
Description of problem:

If gnucash is installed under RHEL3, it bombs out on startup like so:

[minfrin@gatekeeper rpms]$ gnucash
In unknown file:
   ?: 0* [start-program]
In /usr/share/gnucash/guile-modules/gnucash/price-quotes.scm:
 224: 1* (set! program (gnc:run-sub-process #f
gnc:*finance-quote-check* ...))
 224: 2* [gnc:run-sub-process #f
"/usr/share/gnucash/finance-quote-check" ...]
In /usr/share/gnucash/guile-modules/gnucash/process.scm:
  46: 3  (let (# #) (if # #f #))
  60: 4  (if (not #) (begin # # #) (begin # # # ...))
  60: 5* [not ...
  60: 6*  [zero? #f]
/usr/share/gnucash/guile-modules/gnucash/process.scm:60:20: In
procedure zero? in expression (zero? pid):
/usr/share/gnucash/guile-modules/gnucash/process.scm:60:20: Wrong type
argument in position 1: #f

A post to the gnucash list reveals the following response:

> The problem is that guile on RHEL3 is broken.  In particular it
> doesn't have "primitive-fork".  I have no idea how red hat screwed
> this up, but it's their fault.  If you rebuild guile from source
> it should be fine.  You might be able to just rebuild from the

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Miroslav Lichvar 2006-01-24 06:56:20 EST
Gnucash is not a part of RHEL3 distribution and running applications from
outside is not supported.

Note You need to log in before you can comment on or make changes to this bug.